> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 内容分析 – 搜索 API

> 此端点将提供目标关键词可用的详细引用数据。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/content_analysis/search/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/content_analysis/search/live:
    post:
      summary: 内容分析 – 搜索 API
      description: 此端点将提供目标关键词可用的详细引用数据。
      operationId: post_dataforseo_content_analysis_search_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                  description: >-
                    目标关键词，必填字段，采用 UTF-8
                    编码。关键词将转换为小写格式；注意：如需匹配完整短语而非独立关键词，请使用双引号和反斜杠；示例："keyword":
                    "\"tesla palo alto\""。有关 DataForSEO API 中 keyword 和 keywords
                    字段的规则与限制，请参阅此帮助中心文章。
                keyword_fields:
                  type: object
                  description: >-
                    目标关键词字段和目标关键词，可选字段。使用此参数可按特定字段应包含的关键词筛选数据集；可指定的字段：title、main_title、previous_title、snippet。您可以指定多个字段；注意：若要匹配完整短语而非独立关键词，请使用双引号和反斜杠；示例："keyword_fields":
                    { "snippet": "\"logitech mouse\"", "main_title": "sale" }
                page_type:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标页面类型，可选字段。使用此参数按页面类型筛选数据集；可能的值："ecommerce"、"news"、"blogs"、"message-boards"、"organization"
                search_mode:
                  type: string
                  description: >-
                    结果分组类型。可选字段，可能的分组类型：as_is – 返回目标关键词的所有引用；one_per_domain –
                    每个域名返回一条该关键词的引用。默认值：as_is
                limit:
                  type: integer
                  description: 返回引用的最大数量；可选字段；默认值：100；最大值：1000
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果过滤参数数组，可选字段；您可以同时添加多个过滤器（最多 8 个过滤器）；应在条件之间设置逻辑运算符
                    and、or；支持以下运算符：regex, not_regex, , , >, >=, =, , in, not_in,
                    like,not_like, match, not_match；您可以将 % 运算符与 like 和 not_like
                    一起使用，以匹配包含零个或多个字符的任意字符串；示例：["country","=", "US"]
                    [["domain_rank",">",800],"and",["content_info.connotation_types.negative",">",0.9]]
                    [["domain_rank",">",800], "and",
                    [["page_types","has","ecommerce"], "or",
                    ["content_info.text_category","has",10994]]] 有关过滤器的更多信息，请参阅
                    Content Analysis API – Filters
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则 可选字段 可使用与 filters 数组中相同的值对结果进行排序 支持的排序类型：asc –
                    结果将按升序排列 desc – 结果将按降序排列 应使用逗号设置排序类型
                    示例：["content_info.sentiment_connotations.anger,desc"]
                    默认规则：["content_info.sentiment_connotations.anger,desc"]
                    请注意，单次请求最多可设置三条排序规则 应使用逗号分隔多条排序规则
                    示例：["content_info.sentiment_connotations.anger,desc","keyword_data.keyword_info.cpc,desc"]
                offset:
                  type: integer
                  description: >-
                    返回的引用结果数组中的偏移量；可选字段。默认值：0。如果指定值 10，results
                    数组中的前十条引用将被跳过，并提供后续引用的数据。注意：建议仅在检索不超过 10,000
                    条结果时使用此参数；如需检索超过 10,000 条结果，请改用 offset_token。
                offset_token:
                  type: string
                  description: >-
                    用于后续请求的 offset token，可选字段。在每个请求响应的同名 field 中提供；尝试在单个请求中获取超过
                    10,000 条结果时，使用此参数可避免超时；通过指定响应数组中唯一的 offset_token
                    值，您将获得初始任务的后续结果；每个后续任务的 offset_token 值均唯一。注意：如果请求中指定了
                    offset_token，处理任务时将忽略除 limit
                    以外的所有其他参数。有关此参数的更多信息，请参阅我们的帮助中心。
                rank_scale:
                  type: string
                  description: >-
                    定义用于计算和显示 domain_rank 与 url_rank 值的范围，可选字段。你可以使用此参数选择以 0–100
                    或 0–1000 的范围显示排名值。可用值：one_hundred — 排名值以 0–100
                    的范围显示；one_thousand — 排名值以 0–1000
                    的范围显示。默认值：one_thousand。有关此参数工作原理的更多信息，请参阅这篇帮助中心文章。
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keyword
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.offset_token:
                    type: string
                    description: >-
                      用于后续请求的偏移令牌；您可以使用此字段中提供的字符串获取初始任务的后续结果；注意：每个后续任务的
                      offset_token 值都是唯一的
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总量
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含引用和相关数据
                  tasks.result.items.type:
                    type: string
                    description: 元素类型 = ‘content_analysis_search’
                  tasks.result.items.url:
                    type: string
                    description: 找到引用的 URL
                  tasks.result.items.domain:
                    type: string
                    description: 域名
                  tasks.result.items.main_domain:
                    type: string
                    description: 主域名
                  tasks.result.items.url_rank:
                    type: integer
                    description: >-
                      URL 的排名；此值基于 DataForSEO Backlink Index 中给定 URL
                      的反向链接数据；url_rank 根据关联数据库中的节点排名方法计算，该原理用于最初的 Google
                      PageRank 算法；有关此指标及其计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.spam_score:
                    type: string
                    description: >-
                      该 URL 的反向链接垃圾评分。此值基于 DataForSEO Backlink Index 中给定 URL
                      的反向链接数据；有关该指标计算方式的更多信息，请参阅此帮助中心页面
                  tasks.result.items.domain_rank:
                    type: string
                    description: >-
                      域名排名 此值基于 DataForSEO Backlink Index
                      中给定域名的反向链接数据；domain_rank 采用链接数据库中的节点排名方法计算，该原理用于最初的 Google
                      PageRank 算法；有关此指标及其计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.fetch_time:
                    type: string
                    description: >-
                      爬虫访问页面的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”，示例：2017-01-24 13:20:59 +00:00
                  tasks.result.items.country:
                    type: string
                    description: 域名注册国家/地区代码；如需获取可用国家/地区的完整列表，请参阅 Locations 端点
                  tasks.result.items.language:
                    type: string
                    description: 域名的主要语言；如需获取可用语言的完整列表，请参阅 Languages 端点
                  tasks.result.items.score:
                    type: string
                    description: >-
                      引用显著度评分。此值基于 url_rank、domain_rank，以及关键词在
                      title、main_title、url、snippet 中的出现情况。评分越高，相关引用的价值越大。
                  tasks.result.items.page_category:
                    type: array
                    items:
                      type: string
                    description: 包含所有相关页面类别，即与该页面相关的产品和服务类别。要获取可用类别的完整列表，请参阅 Categories 端点
                  tasks.result.items.page_types:
                    type: array
                    items:
                      type: string
                    description: 页面类型
                  tasks.result.items.ratings:
                    type: array
                    items:
                      type: string
                    description: 页面上找到的评分，即基于微数据在页面上找到的所有评分
                  tasks.result.items.social_metrics:
                    type: array
                    items:
                      type: string
                    description: 社交媒体互动指标，即与内容相关的社交媒体互动数据，基于由社交媒体平台开发并支持的网站嵌入功能
                  tasks.result.items.content_info:
                    type: object
                    description: 包含给定 URL 的引用数据
                  tasks.result.items.content_info.content_type:
                    type: string
                    description: 内容类型，例如：page_content、comment
                  tasks.result.items.content_info.title:
                    type: string
                    description: 结果标题
                  tasks.result.items.content_info.main_title:
                    type: string
                    description: 页面标题
                  tasks.result.items.content_info.previous_title:
                    type: string
                    description: 上一个内容块的标题
                  tasks.result.items.content_info.level:
                    type: integer
                    description: 标题层级表示 h 标签的级别，范围从 1（最高）到 6（最低）
                  tasks.result.items.content_info.author:
                    type: string
                    description: 内容作者
                  tasks.result.items.content_info.snippet:
                    type: string
                    description: 内容片段
                  tasks.result.items.content_info.snippet_length:
                    type: integer
                    description: 摘要的字符长度
                  tasks.result.items.content_info.social_metrics:
                    type: array
                    items:
                      type: string
                    description: 社交媒体互动指标，即与内容相关的社交媒体互动数据，基于由社交媒体平台开发并支持的网站嵌入功能
                  tasks.result.items.content_info.highlighted_text:
                    type: string
                    description: 摘要中突出显示的文本
                  tasks.result.items.content_info.language:
                    type: string
                    description: 内容语言；如需获取所有可用语言的完整列表，请参阅 Languages 端点
                  tasks.result.items.content_info.sentiment_connotations:
                    type: object
                    description: >-
                      情感内涵，包含与给定引用相关的情感（情绪反应），以及每种情感对应的概率指数。可能的情感内涵：anger,
                      happiness, love, sadness, share, fun
                  tasks.result.items.content_info.connotation_types:
                    type: object
                    description: >-
                      内涵类型 包含与给定引用相关的情感类型（情感极性），以及每种情感类型的概率指数
                      可能的情感内涵类型：positive、negative、neutral
                  tasks.result.items.content_info.text_category:
                    type: array
                    items:
                      type: string
                    description: 文本类别；如需获取所有可用类别的完整列表，请参阅 Categories 端点
                  tasks.result.items.content_info.date_published:
                    type: string
                    description: >-
                      内容发布的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2017-01-24 13:20:59 +00:00
                  tasks.result.items.content_info.content_quality_score:
                    type: integer
                    description: 内容质量评分，此值根据内容包含的单词、句子和字符数量计算得出
                  tasks.result.items.content_info.semantic_location:
                    type: string
                    description: semantic location 表示目标关键词引用所在的 HTML 语义元素，例如：article、header
                  tasks.result.items.content_info.rating:
                    type: object
                    description: 与 content_info 相关的内容分级
                  tasks.result.items.content_info.rating.name:
                    type: string
                    description: 评分名称，可包含以下元素：Max5、Percents、CustomMax
                  tasks.result.items.content_info.rating.rating_value:
                    type: integer
                    description: 评级值
                  tasks.result.items.content_info.rating.max_rating_value:
                    type: integer
                    description: 评分名称的最大值
                  tasks.result.items.content_info.rating.rating_count:
                    type: integer
                    description: 投票数
                  tasks.result.items.content_info.rating.relative_rating:
                    type: number
                    description: 相对评级
                  tasks.result.items.content_info.group_date:
                    type: string
                    description: >-
                      引用组日期和时间，表示内容发布日期，或我们的爬虫首次访问该页面的日期和时间；此字段可用于按日期对引用进行分组并展示引用趋势；日期和时间采用
                      UTC 格式：“yyyy-mm-dd hh-mm-ss +00:00”，示例：2017-01-24 13:20:59
                      +00:00
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````